[Pkg-mailman-hackers] Pkg-mailman commit - rev 157 - in trunk/debian: . patches

Bernd S. Brentrup bsb@haydn.debian.org
Sat, 29 May 2004 06:58:29 -0600


Author: bsb
Date: 2004-05-29 06:58:26 -0600 (Sat, 29 May 2004)
New Revision: 157

Added:
   trunk/debian/patches/58_fix_translations.dpatch
   trunk/debian/patches/90_can-2004-0412.dpatch
Modified:
   trunk/debian/changelog
   trunk/debian/patches/00list
Log:
Applied Mandrake security patch for CAN-2004-412.


Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2004-05-24 15:23:40 UTC (rev 156)
+++ trunk/debian/changelog	2004-05-29 12:58:26 UTC (rev 157)
@@ -1,3 +1,13 @@
+mailman (2.1.4-5) unstable; urgency=high
+
+  * This is an intermediate release to fix a security issue, 2.1.5 will be
+    released as split binary packages.
+  * Applied Mandrake security patch for CAN-2004-0412, thanks to Florian
+    Weimer (closes: #251176).
+  * Fixed spanish translation (closes: #248083).
+
+ -- Siggy Brentrup <bsb@debian.org>  Sat, 29 May 2004 14:53:41 +0200
+
 mailman (2.1.4-4) unstable; urgency=medium
 
   * Urgency medium because RC bugs are fixed.

Modified: trunk/debian/patches/00list
===================================================================
--- trunk/debian/patches/00list	2004-05-24 15:23:40 UTC (rev 156)
+++ trunk/debian/patches/00list	2004-05-29 12:58:26 UTC (rev 157)
@@ -20,4 +20,6 @@
 55_options_traceback
 56_fix_de_broken_links
 57_fix_missing_da_template
+58_fix_translations
+90_can-2004-0412
 99_js_templates

Added: trunk/debian/patches/58_fix_translations.dpatch
===================================================================
--- trunk/debian/patches/58_fix_translations.dpatch	2004-05-24 15:23:40 UTC (rev 156)
+++ trunk/debian/patches/58_fix_translations.dpatch	2004-05-29 12:58:26 UTC (rev 157)
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+## 58_fix_translations.dpatch by  Siggy Brentrup <bsb@debian.org>
+##
+## $URL$
+## $Id$
+##
+## DP: Fix translation errors
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /debuild/mine/mailman/build-area/mailman-2.1.4/messages/es/LC_MESSAGES/mailman.po mailman-2.1.4/messages/es/LC_MESSAGES/mailman.po
+--- /debuild/mine/mailman/build-area/mailman-2.1.4/messages/es/LC_MESSAGES/mailman.po	2003-12-13 20:54:53.000000000 +0100
++++ mailman-2.1.4/messages/es/LC_MESSAGES/mailman.po	2004-05-09 13:49:31.000000000 +0200
+@@ -1945,7 +1945,7 @@
+ 
+ #: Mailman/Cgi/create.py:200 bin/newlist:164
+ msgid "Illegal list name: %(s)s"
+-msgstr "Nombre de lista ilegal: %(opt)s"
++msgstr "Nombre de lista ilegal: %(s)s"
+ 
+ #: Mailman/Cgi/create.py:205
+ msgid ""


Property changes on: trunk/debian/patches/58_fix_translations.dpatch
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:keywords
   + Id URL

Added: trunk/debian/patches/90_can-2004-0412.dpatch
===================================================================
--- trunk/debian/patches/90_can-2004-0412.dpatch	2004-05-24 15:23:40 UTC (rev 156)
+++ trunk/debian/patches/90_can-2004-0412.dpatch	2004-05-29 12:58:26 UTC (rev 157)
@@ -0,0 +1,54 @@
+#! /bin/sh -e
+## 90_can-2004-0412.dpatch by Siggy Brentrup <bsb@debian.org>
+##
+## $URL$
+## $Id$
+##
+## DP: Mandrake security patch for CAN-2004-0412.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /debuild/mine/mailman/build-area/mailman-2.1.4/Mailman/Commands/cmd_password.py mailman-2.1.4/Mailman/Commands/cmd_password.py
+--- /debuild/mine/mailman/build-area/mailman-2.1.4/Mailman/Commands/cmd_password.py	2002-05-02 04:54:46.000000000 +0200
++++ mailman-2.1.4/Mailman/Commands/cmd_password.py	2004-05-29 14:32:27.000000000 +0200
+@@ -1,4 +1,4 @@
+-# Copyright (C) 2002 by the Free Software Foundation, Inc.
++# Copyright (C) 2002-2004 by the Free Software Foundation, Inc.
+ #
+ # This program is free software; you can redistribute it and/or
+ # modify it under the terms of the GNU General Public License
+@@ -49,6 +49,8 @@
+         if mlist.isMember(address):
+             password = mlist.getMemberPassword(address)
+             res.results.append(_('Your password is: %(password)s'))
++            # Prohibit multiple password retrievals.
++            return STOP
+         else:
+             listname = mlist.real_name
+             res.results.append(
+@@ -62,6 +64,8 @@
+         if mlist.isMember(address):
+             password = mlist.getMemberPassword(address)
+             res.results.append(_('Your password is: %(password)s'))
++            # Prohibit multiple password retrievals.
++            return STOP
+         else:
+             listname = mlist.real_name
+             res.results.append(


Property changes on: trunk/debian/patches/90_can-2004-0412.dpatch
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:keywords
   + Id URL